C
C SUBROUTINE 'SCR_LOG'
C ====================
C
C Copy scratch file contents to o/p file with inserted leading space
C then close the scratch file.
C (Max line length 250 characters)
C
      SUBROUTINE SCR_LOG (IUN_SCR, IUN_LOG)
C
C PARAMETERS
C
C      IUN_SCR (I)   The Fortran unit number of the scratch file
C      IUN_LOG (I)   The Fortran unit number of the log file
C
C====== Specification statements
C
      CHARACTER*250 STR

      INTEGER LENSTR
      EXTERNAL LENSTR
C
C====== Open the file
C
      REWIND IUN_SCR
 10   READ (IUN_SCR, 1000, END=100, ERR=100) STR
      WRITE (IUN_LOG, 1010) STR(1:LENSTR(STR))
      GO TO 10
 100  CLOSE (IUN_SCR, STATUS='DELETE')
      RETURN
C
C====== Format statements
C
 1000 FORMAT(A)
 1010 FORMAT(' ',A)
      END
